<?php   
/**
 * Block Patterns
 *
 * @package FSE Coaching Institute
 * @since 1.8
 */

/**
 * Registers block patterns and categories.
 *
 * @since 1.0
 *
 * @return void
 */
function fse_coaching_institute_register_block_patterns() {
	$block_pattern_categories = array(
		'fse-coaching-institute' => array( 'label' => esc_html__( 'FSE Coaching Institute Patterns', 'fse-coaching-institute' ) ),
		'pages'    => array( 'label' => esc_html__( 'Pages', 'fse-coaching-institute' ) ),
	);

	$block_pattern_categories = apply_filters( 'fse_coaching_institute_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}

	$block_patterns = array(
		'header-default',
		'header-banner',
		'services-section',
		'courses-section',
		'inner-banner',
		'post-one-column',
		'post-two-column',
		'achivement-values',
		'latest-blog',
		'hidden-404',
		'sidebar',
		'footer-default',
	);

	$block_patterns = apply_filters( 'fse_coaching_institute_block_patterns', $block_patterns );

	foreach ( $block_patterns as $block_pattern ) {
		$pattern_file = get_parent_theme_file_path( '/inc/patterns/' . $block_pattern . '.php' );

		register_block_pattern(
			'fse-coaching-institute/' . $block_pattern,
			require $pattern_file
		);
	}
}
add_action( 'init', 'fse_coaching_institute_register_block_patterns', 9 );